
QGIS Application - Bug report #12710

Processing: r.covar echoes the command to the Result window

2015-05-07 01:33 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20816

Description

not producing html formatted output

Associated revisions

Revision 028467ea - 2015-05-20 10:24 AM - Alexander Bruy

[processing] fix handling of the HTML output from the  GRASS7

algorithms (fix #12710)

Revision 475bffaf - 2015-05-20 10:28 AM - Alexander Bruy

[processing] fix handling of the HTML output from the  GRASS7

algorithms (fix #12710)

Conflicts:

    python/plugins/processing/algs/grass7/Grass7Algorithm.py

History

#1 - 2015-05-12 11:02 AM - Paolo Cavallini

- Status changed from Open to Feedback

Seems fixed in QGIS 2.8.2

#2 - 2015-05-12 01:19 PM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master

- Status changed from Feedback to Open

Paolo Cavallini wrote:

Seems fixed in QGIS 2.8.2

it does not seems fixed here, tested on both 2.8.2 and master under Linux and Windows.
Moreover using GRASS7 there is now a python error

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 232, in execute

    self.processAlgorithm(progress)

  File "/usr/share/qgis/python/plugins/processing/algs/grass7/Grass7Algorithm.py", line 407, in processAlgorithm

    self.postProcessResults()

  File "/usr/share/qgis/python/plugins/processing/algs/grass7/Grass7Algorithm.py", line 424, in postProcessResults

    func(self)

  File "/usr/share/qgis/python/plugins/processing/algs/grass7/ext/r_covar.py", line 32, in postProcessResults

    HtmlReportPostProcessor.postProcessResults(alg)

  File "/usr/share/qgis/python/plugins/processing/algs/grass7/ext/HtmlReportPostProcessor.py", line 31, in postProcessResults

    grass7Name = alg.grass7Name

AttributeError: Grass7Algorithm instance has no attribute 'grass7Name'

#3 - 2015-05-20 01:24 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"028467eaf93ca5422625326e254de25197388a96".

#4 - 2015-05-20 01:29 AM - Alexander Bruy

- Resolution set to fixed/implemented

Also backported to 2.8

#5 - 2015-06-06 10:28 AM - Paolo Cavallini

- Status changed from Closed to Feedback

I still see the unformatted output in Processing 2.9.3

#6 - 2015-06-07 12:34 AM - Giovanni Manghi

- Resolution changed from fixed/implemented to duplicate

- Status changed from Feedback to Closed

this is a subset of #6379
